### File

`packages/ecl/components/ecl-loading-indicator/ecl-loading-indicator.component.ts`

### Description

Component representing a loading indicator (spinner) using ECL styles.

Supports different sizes, color variants, centering and visibility options.

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-loading-indicator`
templateUrl | `./ecl-loading-indicator.component.html`

### Index

###### Properties
role
###### Methods
getCssClasses
###### Inputs
isCentered isVisible size variant class e2eAttr tabindex
###### HostBindings
attr.role class
###### Accessors
cssClasses

### Inputs

isCentered
Type : `boolean`
Default value : `true`
Controls whether the spinner should be centered. Defaults to `true`.

isVisible
Type : `boolean`
Default value : `true`
Controls visibility of the spinner. When set to `false`, the spinner will be hidden via CSS. Defaults to `true`.

size
Type : `"s" | "m" | "l"`
Default value : `'m'`
Size of the spinner. Possible values: `'s'` – small `'m'` – medium (default) `'l'` – large

variant
Type : `"primary" | "inverted"`
Default value : `'primary'`
Variant of the spinner color. Possible values: `'primary'` – default appearance `'inverted'` – used on dark backgrounds

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

attr.role
Type : `string`
Default value : `'alert'`
Applies ARIA role for accessibility.

class
Type : `string`
Applies CSS classes based on size, variant and visibility settings.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

role
Type : `string`
Default value : `'alert'`
Decorators : `@HostBinding('attr.role')`
Applies ARIA role for accessibility.

### Accessors

cssClasses
get `cssClasses()`
Applies CSS classes based on size, variant and visibility settings. Returns : `string`

# results matching ""

# No results matching ""